Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
The desktop-effects overlay
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3, ... 15, 16, 17  Next  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
gimpel
Advocate
Advocate


Joined: 15 Oct 2004
Posts: 2720
Location: Munich, Bavaria

PostPosted: Fri Feb 01, 2008 10:31 pm    Post subject: Reply with quote

Well, disabling sandbox suxx.

I digged the last desktop-effects/xeffects ebuild out of /var/db/pkg:
http://gimpel.ath.cx/svn/gimpel/gnome-extra/avant-window-navigator-extras/avant-window-navigator-extras-9999.ebuild

Unsupported! No warranty! Don't bug anyone, especially not our desktop-effects crew! :)
_________________
http://proaudio.tuxfamily.org/wiki - pro-audio software overlay
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 5691
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Fri Feb 01, 2008 11:20 pm    Post subject: Reply with quote

doesn't / didn't work for me neither in xeffects nor arcon, therefore I posted a working one some time ago:

http://forums.gentoo.org/viewtopic-p-4740248.html#4740248
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD
2.6.37.2_plus_v1: BFS, CFS,THP,compaction, zcache or TOI
Hardcore Linux user since 2004 :D
Back to top
View user's profile Send private message
alpha1974
n00b
n00b


Joined: 07 Jan 2008
Posts: 11

PostPosted: Sat Feb 02, 2008 1:26 pm    Post subject: Reply with quote

gimpel wrote:
Well, disabling sandbox suxx.

I digged the last desktop-effects/xeffects ebuild out of /var/db/pkg:
http://gimpel.ath.cx/svn/gimpel/gnome-extra/avant-window-navigator-extras/avant-window-navigator-extras-9999.ebuild

Just tried this ebuild. Compiles fine, but when it starts to install the applets it complains about a sandbox access violation. With disabled sandbox (yes, this suxx...) everything works fine.
Quote:
Unsupported! No warranty! Don't bug anyone, especially not our desktop-effects crew! :)

Thanks god that I am not requesting for support :D
Back to top
View user's profile Send private message
gimpel
Advocate
Advocate


Joined: 15 Oct 2004
Posts: 2720
Location: Munich, Bavaria

PostPosted: Sat Feb 02, 2008 2:00 pm    Post subject: Reply with quote

Hm indeed, something changed since I emerged awn-extras the last time. gstreamer... fixed!

EDIT:
I also fixed that horrible avant-window-navigator ebuild, please fix it in the overlay.
* autogen.sh calls /usr/bin/gnome-autogen.sh, which accepts NOCONFIGURE=1
* move autogen call to src_unpack()
* call gnome2_pkg_postinst in pkg_postinst for gconf stuff etc

Both in here:
http://gimpel.ath.cx/svn/gimpel/gnome-extra/avant-window-navigator/
http://gimpel.ath.cx/svn/gimpel/gnome-extra/avant-window-navigator-extras/
_________________
http://proaudio.tuxfamily.org/wiki - pro-audio software overlay
Back to top
View user's profile Send private message
LunX
Guru
Guru


Joined: 18 May 2004
Posts: 391
Location: Rastede

PostPosted: Sat Feb 02, 2008 5:13 pm    Post subject: Reply with quote

ok that avant-window-manager-extras is not in the overlay i understand but what is with screenlets? The only supported version is 0.0.10. I read that the branch 'screenlets-testing' is now include in the 'trunk'. I try to change the ebuild for 0.0.10 to use the bzr branch ('http://bazaar.launchpad.net/~screenlets-dev/screenlets/trunk') but without luck:
Code:
* ERROR: x11-plugins/screenlets-9999 failed.
 * Call stack:
 *                ebuild.sh, line 1590:  Called source '/usr/portage/local/myoverlay/x11-plugins/screenlets/screenlets-9999.ebuild'
 *   screenlets-9999.ebuild, line    5:  Called inherit 'bzr'
 *                ebuild.sh, line 1312:  Called die
 * The specific snippet of code:
 * QA Notice: 'sed' called in global scope: eclass bzr
 * QA Notice: 'sed' called in global scope: eclass bzr
 *         [ ! -e "$location" ] && die "${1}.eclass could not be found by inherit()"
 *  The die message:
 *   bzr.eclass could not be found by inherit()
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
Back to top
View user's profile Send private message
alpha1974
n00b
n00b


Joined: 07 Jan 2008
Posts: 11

PostPosted: Sat Feb 02, 2008 6:33 pm    Post subject: Reply with quote

Quote:
http://gimpel.ath.cx/svn/gimpel/gnome-extra/avant-window-navigator/
http://gimpel.ath.cx/svn/gimpel/gnome-extra/avant-window-navigator-extras/

Great, both ebuilds work with the latest trunk versions without any problems (disabling the sandbox is no longer necessary). :D
Any chance that these ebuilds find their way into the desktop-effects overlay?
Back to top
View user's profile Send private message
LunX
Guru
Guru


Joined: 18 May 2004
Posts: 391
Location: Rastede

PostPosted: Sat Feb 02, 2008 6:54 pm    Post subject: Reply with quote

I get the same error when i try to emerge the both ebuilds. Is anything wrong with my system?
Back to top
View user's profile Send private message
LunX
Guru
Guru


Joined: 18 May 2004
Posts: 391
Location: Rastede

PostPosted: Sat Feb 02, 2008 8:34 pm    Post subject: Reply with quote

I find out what is wrong. I create my own overlay. I copy the folder eclass from the desktop-effects overlay to my overlay. The ebuilds for awn works fine. I work on an ebuild for screenlets that using bazzar.
Back to top
View user's profile Send private message
alpha1974
n00b
n00b


Joined: 07 Jan 2008
Posts: 11

PostPosted: Sat Feb 02, 2008 8:41 pm    Post subject: Reply with quote

LunX wrote:
I work on an ebuild for screenlets that using bazzar.

I "hacked" this ebuild from the one in portage and it works for me... but I don't know why and how :)
Code:
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit gnome2 bzr autotools eutils distutils

EBZR_REPO_URI="http://bazaar.launchpad.net/~screenlets-dev/screenlets/"

DESCRIPTION="Screenlets are small owner-drawn applications"
HOMEPAGE="http://www.screenlets.org"
SRC_URI=""

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""

DEPEND="
        dev-python/dbus-python
        >=dev-python/gnome-python-desktop-2.16.0
        dev-python/pyxdg
        x11-libs/libnotify
        x11-misc/notification-daemon
        x11-misc/xdg-utils"

RDEPEND="${DEPEND}"

src_unpack() {
        bzr_src_unpack
}

src_install() {
        distutils_src_install

        insinto /usr/share/desktop-directories
        doins "${S}"/desktop-menu/desktop-directories/Screenlets.directory

        insinto /usr/share/icons
        doins "${S}"/desktop-menu/screenlets.svg

        # Insert .desktop files
        for x in $(find "${S}"/desktop-menu -name "*.desktop"); do
                domenu ${x}
        done
}
Back to top
View user's profile Send private message
gimpel
Advocate
Advocate


Joined: 15 Oct 2004
Posts: 2720
Location: Munich, Bavaria

PostPosted: Mon Feb 04, 2008 11:58 am    Post subject: Reply with quote

Ah great. desktop-agnostic avant-window-navigator is there!

Thanks for the new ebuild!
_________________
http://proaudio.tuxfamily.org/wiki - pro-audio software overlay
Back to top
View user's profile Send private message
alpha1974
n00b
n00b


Joined: 07 Jan 2008
Posts: 11

PostPosted: Mon Feb 04, 2008 1:07 pm    Post subject: Reply with quote

gimpel wrote:
Ah great. desktop-agnostic avant-window-navigator is there!

Thanks for the new ebuild!

Does it work or you? On my system it fails:
Code:
>>> Unpacking source...
 * bzr merge start -->
 *    repository: https://code.launchpad.net/~awn-testing/awn/awn-core-testing
bzr: ERROR: Cannot lock LockDir(http://bazaar.launchpad.net/%7Eawn-core/awn/trunk/.bzr/repository/lock): Transport operation not possible: http does not support mkdir()
 *
 * ERROR: gnome-extra/avant-window-navigator-9999 failed.
 * Call stack:
 *                            ebuild.sh, line 1701:  Called dyn_unpack
 *                            ebuild.sh, line  817:  Called qa_call 'src_unpack'
 *                            ebuild.sh, line   44:  Called src_unpack
 *   avant-window-navigator-9999.ebuild, line   43:  Called bzr_src_unpack
 *                           bzr.eclass, line  244:  Called bzr_fetch
 *                           bzr.eclass, line  173:  Called die
 * The specific snippet of code:
 *         ${EBZR_UPDATE_CMD} ${EBZR_OPTIONS} "${repository}" \
 *            || die "${EBZR}: can't merge from ${repository}."
 *  The die message:
 *   bzr.eclass: can't merge from https://code.launchpad.net/~awn-testing/awn/awn-core-testing.
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/gnome-extra/avant-window-navigator-9999/temp/build.log'.
Back to top
View user's profile Send private message
gimpel
Advocate
Advocate


Joined: 15 Oct 2004
Posts: 2720
Location: Munich, Bavaria

PostPosted: Mon Feb 04, 2008 1:08 pm    Post subject: Reply with quote

Code:
rm -rf /usr/portage/distfiles/bzr-src/avant-window-navigator

helped here

Btw: I compiled using vala, on amd64. Works fine, so overlay folks could add ~amd64 keyword to vala.
_________________
http://proaudio.tuxfamily.org/wiki - pro-audio software overlay
Back to top
View user's profile Send private message
alpha1974
n00b
n00b


Joined: 07 Jan 2008
Posts: 11

PostPosted: Mon Feb 04, 2008 1:19 pm    Post subject: Reply with quote

gimpel wrote:
Code:
rm -rf /usr/portage/distfiles/bzr-src/avant-window-navigator

helped here

Here too. Thanks! :D
Back to top
View user's profile Send private message
Jupiter1TX
Guru
Guru


Joined: 24 Feb 2006
Posts: 546
Location: 3rd Rock

PostPosted: Mon Feb 04, 2008 9:27 pm    Post subject: For your viewing pleasure Reply with quote

Just wanted to say thanks to the maintainers of the overlay for this great
work. Am using compiz-fusion and kiba-dock with no problems here.
http://img178.imageshack.us/my.php?image=kiba15tw3.jpg
_________________
Core i7 920 D0 | Asus P6T DLX | Patriot Viper 1600 6GB | Antec Quattro 850W
Geforce 8800GTX OC2 768MB | Dell 22" LCD | Koolance Exos2/Swiftech GTZ
GCC 4.6.1 | 3.7.x-geek | Xorg-7.4-x | KDE-4.7.x | Compiz
Back to top
View user's profile Send private message
jmbsvicetto
Moderator
Moderator


Joined: 27 Apr 2005
Posts: 4727
Location: Angra do Heroísmo (PT)

PostPosted: Fri Feb 08, 2008 1:14 am    Post subject: Reply with quote

Just want to let everyone know we've had a few updates recently.

Here is a list of the updates:

    * compiz with support for kde4 (kde4-window-decorator)
    * avant-window-navigator using the awn-core-testing branch (desktop-agnostic, optional gnome or xfce, vala)
    * avant-window-navigator-extras using awn-testing branch (optional gnome/gconf)


If you had avant-window-navigator, you may need to rm -R /usr/portage/distfiles/bzr-src/avant-window-navigator.
_________________
Jorge.

Your twisted, but hopefully friendly daemon.
AMD64 / x86 / Sparc Gentoo
Help answer || emwrap.sh


Last edited by jmbsvicetto on Fri Feb 08, 2008 11:39 pm; edited 1 time in total
Back to top
View user's profile Send private message
Ormaaj
Guru
Guru


Joined: 28 Jan 2008
Posts: 316

PostPosted: Fri Feb 08, 2008 6:02 am    Post subject: Reply with quote

FYI: compiz will compile with "kde", or with "kde4" as use flags, but not both.
Back to top
View user's profile Send private message
gimpel
Advocate
Advocate


Joined: 15 Oct 2004
Posts: 2720
Location: Munich, Bavaria

PostPosted: Fri Feb 08, 2008 10:23 am    Post subject: Reply with quote

jmbsvicetto wrote:
Just want to let everyone know we've had a few updates recently.

Here is a list of the updates:

    * compiz with support for kde4 (kde4-window-decorator)
    * avant-window-navigator using the awn-core-testing branch (desktop-agnostic, optional gnome or xfce, vala)
    * avant-window-navigator-extras using awn-testing branch (optional gnome/gconf)


If you had avant-window-navigator, you may need to rm -R /usr/portage/distfiles/bzr-src/avant-window-navigator.

Thanks! Great stuff!

* Could you pretty please add gnome2_pkg_postinst to pkg_postinst(), as you are explicitly overriding gnome2.eclass there. Otherwhise gconf schemas won't be installed correctly and gconf won't be reloaded.
* Please add --disable-pymod-checks to econf for awn-extras, as we get a sandbox violation otherwhise.

Thanks.
_________________
http://proaudio.tuxfamily.org/wiki - pro-audio software overlay
Back to top
View user's profile Send private message
jmbsvicetto
Moderator
Moderator


Joined: 27 Apr 2005
Posts: 4727
Location: Angra do Heroísmo (PT)

PostPosted: Sat Feb 09, 2008 12:02 am    Post subject: Reply with quote

gimpel,

thanks for the suggestions. I've updated the ebuilds, so please check if it's working for you now.
_________________
Jorge.

Your twisted, but hopefully friendly daemon.
AMD64 / x86 / Sparc Gentoo
Help answer || emwrap.sh
Back to top
View user's profile Send private message
gimpel
Advocate
Advocate


Joined: 15 Oct 2004
Posts: 2720
Location: Munich, Bavaria

PostPosted: Sat Feb 09, 2008 9:01 am    Post subject: Reply with quote

jmbsvicetto wrote:
gimpel,

thanks for the suggestions. I've updated the ebuilds, so please check if it's working for you now.

Perfect. Thanks again!
_________________
http://proaudio.tuxfamily.org/wiki - pro-audio software overlay
Back to top
View user's profile Send private message
xlordt
Apprentice
Apprentice


Joined: 18 Apr 2007
Posts: 178

PostPosted: Tue Feb 12, 2008 11:09 pm    Post subject: Reply with quote

darn.. I can't even get the darn overlay.. check it out.. where is what I get.
Code:

xlordt # layman -s desktop-effects
*
* Errors:
* ------
*
* Failed to sync overlay "desktop-effects".
* Error was: No such overlay ("desktop-effects")!
*


Never mind I got it. Turns out to be my firewall after all.
_________________
Only The Strong Servives
Back to top
View user's profile Send private message
dman777
l33t
l33t


Joined: 10 Jan 2007
Posts: 757

PostPosted: Thu Feb 14, 2008 2:23 am    Post subject: Reply with quote

I'm kinda new at this and I was wondering if you could tell me if I did this right:

1). I did the layman -a dekstop-effects. It appears to install successfully because the directory is there and all the files. It installed in the /usr/portal/local/layman.....

2). In the wiki Gentoo XGL doc it saids to do a # svn co svn://svn.gentoo-xeffects.org/xeffects after the install of a overlay. Do I need to do the same with desktop-effects?

3) I don't have a /usr/local/portal directory. So I made one manually.

4). I edited my make.conf and insereted PORTDIR_OVERLAY="/usr/portage/local/layman/desktop-effects /usr/local/portage". Is this correct since I had to manually make the /usr/local/portage directory?
Back to top
View user's profile Send private message
Jupiter1TX
Guru
Guru


Joined: 24 Feb 2006
Posts: 546
Location: 3rd Rock

PostPosted: Thu Feb 14, 2008 3:53 am    Post subject: Reply with quote

dman777 wrote:
I'm kinda new at this and I was wondering if you could tell me if I did this right:

1). I did the layman -a dekstop-effects. It appears to install successfully because the directory is there and all the files. It installed in the /usr/portal/local/layman.....

2). In the wiki Gentoo XGL doc it saids to do a # svn co svn://svn.gentoo-xeffects.org/xeffects after the install of a overlay. Do I need to do the same with desktop-effects?

3) I don't have a /usr/local/portal directory. So I made one manually.

4). I edited my make.conf and insereted PORTDIR_OVERLAY="/usr/portage/local/layman/desktop-effects /usr/local/portage". Is this correct since I had to manually make the /usr/local/portage directory?


Those instructions were written for the xeffects overlay. Although most things still apply,
you are now using the desktop-effects overlay so there is no need for your point number 2,
that is just a manual way to do part of what Layman does. When adding an overlay using
Layman, you do not need to edit anything for portage to see the overlay and be able to use
it. So no need for your point number 3 and 4. For first install of compiz-fusion from the
desktop-effects overlay all you need to do is 'emerge -av compiz-fusion'. This will install all
the basic packages to get you a working compiz-fusion. You may then want to look in the
overlay and see what else you may want to install for it.
_________________
Core i7 920 D0 | Asus P6T DLX | Patriot Viper 1600 6GB | Antec Quattro 850W
Geforce 8800GTX OC2 768MB | Dell 22" LCD | Koolance Exos2/Swiftech GTZ
GCC 4.6.1 | 3.7.x-geek | Xorg-7.4-x | KDE-4.7.x | Compiz
Back to top
View user's profile Send private message
jonnevers
Veteran
Veteran


Joined: 02 Jan 2003
Posts: 1593
Location: Gentoo64 land

PostPosted: Thu Feb 14, 2008 4:17 am    Post subject: Reply with quote

Jupiter1TX wrote:
When adding an overlay using
Layman, you do not need to edit anything for portage to see the overlay and be able to use
it... 'emerge -av compiz-fusion'.

assuming you do the thing where you add the sourcing of the layman overlays in /etc/make.conf I prefer to modify PORTDIR_OVERLAY manually but in either case you do have to do something for the overlay to be recognized.
Code:
user host ~ $ cat /etc/make.conf | grep -i PORTDIR_OVERLAY
PORTDIR_OVERLAY="/usr/portage/local/layman/desktop-effects /usr/local/portage"


another distinction that people who are new to compiz-fusion (and ancillary stuffs) should understand is that:
1) compiz-fusion 0.6.0 is in portage without needing an overlay. you just have to set the unstable keyword for it.
2) desktop-effects contains live ebuilds of compiz-fusion, so they are much more up-to-date but are also not guaranteed to work as expected depending on when you last pulled the repository to compile.

I prefer the live ebuilds myself :twisted:
Back to top
View user's profile Send private message
jonnevers
Veteran
Veteran


Joined: 02 Jan 2003
Posts: 1593
Location: Gentoo64 land

PostPosted: Thu Feb 14, 2008 3:59 pm    Post subject: Reply with quote

Code:
user@host ~ $ p -s desktop-effects
Sync desktop-effects
sync desktop-effects> fatal: read error (Connection reset by peer)
sync desktop-effects> Cannot get the repository state from git://git.overlays.gentoo.org/proj/desktop-effects.git

Sync error:
  * In program paludis --log-level warning -s desktop-effects:
  * When performing sync action from command line:
  * When executing sync task:
  * When syncing repository 'desktop-effects':
  * When syncing repository 'desktop-effects':
  * sync of '/var/paludis/repositories/desktop-effects' from 'git://git.overlays.gentoo.org/proj/desktop-effects.git' failed

Sync desktop-effects failed
Code:
user host ~ $ layman -S
* Running command "cd "/usr/portage/local/layman/desktop-effects" && /usr/bin/git pull"...
fatal: The remote end hung up unexpectedly
Cannot get the repository state from git://git.overlays.gentoo.org/proj/desktop-effects.git/

something up?
Back to top
View user's profile Send private message
alpha1974
n00b
n00b


Joined: 07 Jan 2008
Posts: 11

PostPosted: Fri Feb 15, 2008 7:46 am    Post subject: emerge of dev-lang/vala-0.1.6 fails Reply with quote

The actual ebuild for vala from the desktop-effects-overlay stops with the following error:
Code:
* Failed Patch: vala-0.1.6-gdk-gtk-bindings-fix.patch !
*  ( /usr/portage/local/layman/desktop-effects/dev-lang/vala/files/vala-0.1.6-gdk-gtk-bindings-fix.patch )

Here are the messages in /var/tmp/portage/dev-lang/vala-0.1.6/temp/vala-0.1.6-gdk-gtk-bindings-fix.patch-26669.out:
Code:
***** vala-0.1.6-gdk-gtk-bindings-fix.patch *****

=================================================

PATCH COMMAND:    patch -p0 -g0 -E --no-backup-if-mismatch < /usr/portage/local/layman/desktop-effects/dev-lang/vala/files/vala-0.1.6-gdk-gtk-bindings-fix.patch

=================================================
patching file vapi/gdk-2.0.vapi
Hunk #1 FAILED at 1315.
1 out of 1 hunk FAILED -- saving rejects to file vapi/gdk-2.0.vapi.rej
patching file vapi/gtk+-2.0.vapi
patch unexpectedly ends in middle of line
Hunk #1 FAILED at 4439.
1 out of 1 hunk FAILED -- saving rejects to file vapi/gtk+-2.0.vapi.rej
=================================================

PATCH COMMAND:    patch -p1 -g0 -E --no-backup-if-mismatch < /usr/portage/local/layman/desktop-effects/dev-lang/vala/files/vala-0.1.6-gdk-gtk-bindings-fix.patch

=================================================
can't find file to patch at input line 5
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|Index: vapi/gdk-2.0.vapi

|===================================================================

|--- vapi/gdk-2.0.vapi   (revision 1006)

|+++ vapi/gdk-2.0.vapi   (revision 1007)

--------------------------
No file to patch.  Skipping patch.
1 out of 1 hunk ignored
can't find file to patch at input line 18
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|Index: vapi/gtk+-2.0.vapi

|===================================================================

|--- vapi/gtk+-2.0.vapi   (revision 1006)

|+++ vapi/gtk+-2.0.vapi   (revision 1007)

--------------------------
No file to patch.  Skipping patch.
patch unexpectedly ends in middle of line
1 out of 1 hunk ignored
=================================================

PATCH COMMAND:    patch -p2 -g0 -E --no-backup-if-mismatch < /usr/portage/local/layman/desktop-effects/dev-lang/vala/files/vala-0.1.6-gdk-gtk-bindings-fix.patch

=================================================
missing header for unified diff at line 5 of patch
can't find file to patch at input line 5
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|Index: vapi/gdk-2.0.vapi

|===================================================================

|--- vapi/gdk-2.0.vapi   (revision 1006)

|+++ vapi/gdk-2.0.vapi   (revision 1007)

--------------------------
No file to patch.  Skipping patch.
1 out of 1 hunk ignored
missing header for unified diff at line 18 of patch
can't find file to patch at input line 18
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|Index: vapi/gtk+-2.0.vapi

|===================================================================

|--- vapi/gtk+-2.0.vapi   (revision 1006)

|+++ vapi/gtk+-2.0.vapi   (revision 1007)

--------------------------
No file to patch.  Skipping patch.
patch unexpectedly ends in middle of line
1 out of 1 hunk ignored
=================================================

PATCH COMMAND:    patch -p3 -g0 -E --no-backup-if-mismatch < /usr/portage/local/layman/desktop-effects/dev-lang/vala/files/vala-0.1.6-gdk-gtk-bindings-fix.patch

=================================================
missing header for unified diff at line 5 of patch
can't find file to patch at input line 5
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|Index: vapi/gdk-2.0.vapi

|===================================================================

|--- vapi/gdk-2.0.vapi   (revision 1006)

|+++ vapi/gdk-2.0.vapi   (revision 1007)

--------------------------
No file to patch.  Skipping patch.
1 out of 1 hunk ignored
missing header for unified diff at line 18 of patch
can't find file to patch at input line 18
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|Index: vapi/gtk+-2.0.vapi

|===================================================================

|--- vapi/gtk+-2.0.vapi   (revision 1006)

|+++ vapi/gtk+-2.0.vapi   (revision 1007)

--------------------------
No file to patch.  Skipping patch.
patch unexpectedly ends in middle of line
1 out of 1 hunk ignored
=================================================

PATCH COMMAND:    patch -p4 -g0 -E --no-backup-if-mismatch < /usr/portage/local/layman/desktop-effects/dev-lang/vala/files/vala-0.1.6-gdk-gtk-bindings-fix.patch

=================================================
missing header for unified diff at line 5 of patch
can't find file to patch at input line 5
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|Index: vapi/gdk-2.0.vapi

|===================================================================

|--- vapi/gdk-2.0.vapi   (revision 1006)

|+++ vapi/gdk-2.0.vapi   (revision 1007)

--------------------------
No file to patch.  Skipping patch.
1 out of 1 hunk ignored
missing header for unified diff at line 18 of patch
can't find file to patch at input line 18
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|Index: vapi/gtk+-2.0.vapi

|===================================================================

|--- vapi/gtk+-2.0.vapi   (revision 1006)

|+++ vapi/gtk+-2.0.vapi   (revision 1007)

--------------------------
No file to patch.  Skipping patch.
patch unexpectedly ends in middle of line
1 out of 1 hunk ignored
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3, ... 15, 16, 17  Next
Page 2 of 17

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum